Subject: Re: Eric Rescorla's Discuss on draft-ietf-httpbis-cdn-loop-01: (with DISCUSS and COMMENT)
From: Benjamin Kaduk <[email-masked]>
To: Mark Nottingham <[email-masked]>
Cc: Eric Rescorla <[email-masked]>, [email-masked], [email-masked], Patrick McManus <[email-masked]>, The IESG <[email-masked]>, Tommy Pauly <[email-masked]>, HTTP Working Group <[email-masked]>
Date: Thu, 20 Dec 2018 20:59:13 -0600
List-Id: <ietf-http-wg.w3.org>

On Fri, Dec 21, 2018 at 01:55:12PM +1100, Mark Nottingham wrote:
> 
> 
> > On 21 Dec 2018, at 1:52 pm, Benjamin Kaduk <[email-masked]> wrote:
> > 
> > I seem to just be saying that CDN-Loop adds one more.
> 
> Could you walk me through it? I'm still not seeing it. 

Sure, though it's probably getting to be not worth our respective time...

I want to know if CDN B serves site X.  I configure site Y as an origin
for my own site behind CDN B and observe what CDN-Loop header values I
receive at Y.  I make a request to site X twice, once with that CDN-Loop
header and once without.  If they give the same response, I conclude that X
does not use CDN B.  If the request with CDN-Loop header doesn't get
content back, I conclude that X uses CDN B.

-Benjamin